Subject: Re: [PATCH] stash: git stash create and git stash store added to git stash usage synopsys

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Feb 2015 14:54:58 -0800

Junio C Hamano <[email-masked]> writes:

> Scott Schmit <[email-masked]> writes:
>>
>> Considering the man page says create & store are intended for scripts
>> and "probably not the command you want to use", why would we want it in
>> the synopsis?
>
> With the understanding that these are only for scripters, I think we
> can agree that we do want to describe them in the manual pages, and
> we do not want them in the completion.
>
> I feel "git stash -h" output is on the borderline, and can be argued
> both ways:
>
>  - When you script and are not clear how a command you wanted to use
>    in your script is to be used, it wouldn't be a crime to ask the
>    short "git stash -h" form (instead of the full manual page "git
>    stash --help") to remind how the command line ought to be
>    spelled.
>
>  - When you are not interested in script at all, from the command
>    line you may want to be reminded how to spell the subcommand with
>    "git stash -h" form.  Having "store" listed, which will never be
>    what you want in this scenario, will be confusing.  You want to
>    see "save".
>
> So, I dunno.

As I haven't heard anything after this, I am inclined to drop this
topic that has been sitting on my Undecided pile.

    * ak/stash-store-create-help (2015-01-13) 1 commit
     - stash: show "create" and "store" subcommands in usage-help

     Undecided.

Please speak up if somebody new feels strongly otherwise [*1*].

Thanks.

[Footnote]

*1* I already know Scott Schmit was against it, and Alexander
Kuleshov as the original author was for it ;-)